package com.persagy.labsl.services

import com.persagy.labsl.models.entities.tpt.Relation
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.requests.SUpdateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse

/**
 * 备注逻辑处理接口 
 * @author : lijie
 * Update By 2022/5/31 19:48
 */
interface RelationLogicService {

    /**
     * 创建连线数据
     * @author : lijie
     * Update By 2022/5/31 19:51
     */
    fun createsLogic(request: SCreateRequest<Relation>): SCreateResponse<Relation>
    /**
     * 删除连线数据
     * @author : lijie
     * Update By 2022/5/31 19:52
     */
    fun deletesLogic(idList: ArrayList<Relation>): SBaseResponse
    /**
     * 更新连线数据
     * @author : lijie
     * Update By 2022/5/31 19:53
     */
    fun updateListLogic(request: SUpdateRequest<Relation>): SBaseResponse
}