package com.persagy.legend.models.entities

import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id

/**
 * 信息点类
 * @author  zy
 */
@Schema(description = "信息点")
class InfoPoint {
    /** 信息点id */
    @Schema(description = "信息点id")
    @Id
    var id: String? = null

    /** 信息点名称 */
    @Schema(description = "信息点名称")
    var name: String? = null

    /** 信息点编码 */
    @Schema(description = "信息点编码")
    var code: String? = null

    /** 类型编码 */
    @Schema(description = "类型编码")
    var classCode: String? = null

    /** 信息点坐标 */
    @Schema(description = "信息点坐标")
    var pos: Pos? = null

    /** 图例id */
    @Schema(description = "图例id")
    var legendId: String? = null

    /** 信息点属性 */
    @Schema(description = "信息点属性")
    @Column(name = "properties")
    var properties: Map<String, Any>? = null
} // Class InfoPoint