package com.persagy.legend.models.entities

import com.sybotan.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id

/**
 * 图例基类
 * @author  zy
 */
@Schema(description = "图例")
open class Legend : SBaseEntity() {
    /** 图例id */
    @Schema(description = "图例id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 图例名称 */
    @Schema(description = "图例名称")
    @Column(name = "name")
    var name: String? = null

    /** 图例类型 */
    @Schema(description = "图例类型(equipment<设备>；component<部件>；system<系统>；pipe<管道>；line<线路>；space<空间>；build<建筑>)")
    @Column(name = "type")
    var type: String? = null

    /** 缩略图 */
    @Schema(description = "缩略图")
    @Column(name = "pic")
    var pic: String? = null

    /** 类型编码 */
    @Schema(description = "类型编码")
    @Column(name = "class_code")
    var classCode: String? = null

} // Class Legend