package com.persagy.legend.models.entities

import com.sybotan.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Table

/**
 * 轮廓类图例
 * @author  zy
 */
@Schema(description = "轮廓图例")
@Table(name = "labsl_meiku.legend_outline")
class LegendOutline: Legend() {
    /** 轮廓线宽度 */
    @Schema(description = "轮廓线宽度")
    @Column(name = "width")
    var width: Int? = null

    /** 轮廓线颜色 */
    @Schema(description = "轮廓线颜色")
    @Column(name = "color")
    var color: String? = null

    /** 轮廓填充色 */
    @Schema(description = "轮廓填充色")
    @Column(name = "fill_color")
    var fillColor: String? = null

    /** 当前状态 */
    @Schema(description = "当前状态")
    @Column(name = "state")
    var state: String? = null

    /** 状态信息 */
    @Schema(description = "状态信息")
    @SCascade(table="labsl_meiku.state", idColumn="legend_id", childIdColumn="id")
    var stateList: ArrayList<State>? = null

    /** 类型信息 */
    @Schema(description = "类型信息")
    // @SCascade(table="dict.def_class", idColumn="class_code", childIdColumn="code")
    var classInfo: DefClass? = null

} // Class LegendPipe