package com.persagy.legend.models.entities

import com.sybotan.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图例状态
 * @author  zy
 */
@Schema(description = "图例状态")
@Table(name = "labsl_meiku.state")
class State : SBaseEntity() {
    /** 状态id */
    @Schema(description = "状态id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 状态名称 */
    @Schema(description = "状态名称")
    @Column(name = "name")
    var name: String? = null

    /** 状态编码 */
    @Schema(description = "状态编码")
    @Column(name = "state")
    var state: String? = null

    /** 状态图 */
    @Schema(description = "状态图")
    @Column(name = "pic")
    var pic: String? = null

    /** 样式信息 */
    @Schema(description = "样式信息")
    @Column(name = "style")
    var style: Map<String, Any>? = null

    /** 图例id */
    @Schema(description = "图例id")
    @Column(name = "legend_id")
    var legendId: String? = null
} // Class State